%define _name fftw
%define ver_major 3

%def_disable sse
%def_disable sse2
%def_disable 3dnow
%def_disable k7

Name: fftw%ver_major
Version: %ver_major.0.1
Release: alt0.6

Summary: Fast fourier transform library
License: GPL
Group: System/Libraries
Url: http://www.fftw.org

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/%_name-%version.tar.bz2

BuildPreReq: libtool_1.4

# Automatically added by buildreq on Wed Oct 01 2003
BuildRequires: gcc-g77 glibc-devel-static libg2c-devel ocaml

%description
FFTW is a collection of fast C routines for computing the Discrete Fourier
Transform in one or more dimensions. It includes complex, real, and
parallel transforms, and can handle arbitrary array sizes efficiently.
This RPM package includes both the double- and single-precision FFTW
uniprocessor and threads libraries.  (The single-precision files have
an "s" prefix.)

%package -n lib%name
Summary: Dynamic libraries for FFTW fast fourier transform library
Group: System/Libraries

%description -n lib%name
FFTW is a collection of fast C routines for computing the Discrete Fourier
Transform in one or more dimensions.  It includes complex, real, and
parallel transforms, and can handle arbitrary array sizes efficiently.
This RPM package includes both the double- and single-precision FFTW
uniprocessor and threads libraries.  (The single-precision files have
an "s" prefix.)

%package -n lib%name-devel
Summary: Headers, libraries, & docs for FFTW fast fourier transform library
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the additional header files, documentation, and
libraries you need to develop programs using the FFTW fast fourier
transform library.

%package -n lib%name-devel-static
Summary: Static libraries for FFTW fast fourier transform library
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static libraries you need to develop programs using
the FFTW fast fourier transform library.

%prep
%setup -c %_name-%version
%__mv %_name-%version double
%__cp -r double long-double
%__cp -r double single

%build
%set_libtool_version 1.4

%define options --enable-shared --enable-threads

pushd double
%configure %options \
%ifarch i686
    %{subst_enable sse} \
    %{subst_enable sse2} \
%endif
%ifarch k6
    %{subst_enable 3dnow} \
%endif
%ifarch athlon
    %{subst_enable k7} \
%endif

%make_build
popd

pushd long-double
%configure %options --enable-long-double \
%ifarch i686
    %{subst_enable sse} \
    %{subst_enable sse2} \
%endif
%ifarch k6
    %{subst_enable 3dnow} \
%endif
%ifarch athlon
    %{subst_enable k7} \
%endif

%make_build
popd

pushd single
%configure %options --enable-float \
%ifarch i686
    %{subst_enable sse} \
    %{subst_enable sse2} \
%endif
%ifarch k6
    %{subst_enable 3dnow} \
%endif
%ifarch athlon
    %{subst_enable k7} \
%endif

%make_build
popd

%install
%makeinstall -C single
%makeinstall -C double
%makeinstall -C long-double

# Reorganize docs
%__mkdir_p FAQ
%__mkdir_p doc
%__cp -r single/doc/html .
%__cp -a single/doc/FAQ/fftw-faq.html/* FAQ/
%__cp -a single/doc/{*ps,*pdf,*fig} doc/
%__cp single/{AUTHORS,ChangeLog,NEWS,README*,TODO} .

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post -n lib%name-devel
%install_info %name.info

%postun -n lib%name-devel
%uninstall_info %name.info

%files -n lib%name
%_libdir/*.so.*
%doc doc/ html/ FAQ/ AUTHORS ChangeLog NEWS README* TODO

%files -n lib%name-devel
%_bindir/*
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_infodir/*.info*
%_man1dir/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Fri Nov 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 3.0.1-alt0.6
- do not package .la files.

* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 3.0.1-alt0.5
- new version.

* Tue Jun 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 3.0-alt0.5
- First build for Sisyphus.

